OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKCDF
CDM

# CDM_ListIteratorOfListOfDocument Class Reference

`#include <CDM_ListIteratorOfListOfDocument.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | CDM_ListIteratorOfListOfDocument ()
Standard_EXPORT | CDM_ListIteratorOfListOfDocument (const CDM_ListOfDocument &L)
Standard_EXPORT void | Initialize (const CDM_ListOfDocument &L)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT Handle_CDM_Document & | Value () const
## Private Attributes
Standard_Address | current
Standard_Address | previous

## Constructor & Destructor Documentation

Standard_EXPORT CDM_ListIteratorOfListOfDocument::CDM_ListIteratorOfListOfDocument | ( |  | ) |

Standard_EXPORT CDM_ListIteratorOfListOfDocument::CDM_ListIteratorOfListOfDocument | ( | const CDM_ListOfDocument & | L | ) |

## Member Function Documentation

Standard_EXPORT void CDM_ListIteratorOfListOfDocument::Initialize | ( | const CDM_ListOfDocument & | L | ) |

Standard_Boolean CDM_ListIteratorOfListOfDocument::More | ( |  | ) | const

Standard_EXPORT void CDM_ListIteratorOfListOfDocument::Next | ( |  | ) |

void CDM_ListIteratorOfListOfDocument::operator delete | ( | void * | anAddress | ) | `[inline]`

void* CDM_ListIteratorOfListOfDocument::operator new | ( | size_t | size | ) | `[inline]`

void* CDM_ListIteratorOfListOfDocument::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_CDM_Document& CDM_ListIteratorOfListOfDocument::Value | ( |  | ) | const

## Field Documentation

Standard_Address CDM_ListIteratorOfListOfDocument::current`[private]`

Standard_Address CDM_ListIteratorOfListOfDocument::previous`[private]`

The documentation for this class was generated from the following file:

- CDM_ListIteratorOfListOfDocument.hxx